{% set title = 'Couches PostgreSQL' %}

{% extends 'report/reportLayout.twig' %}

{% block content %}
    <h1>Générer les couches PostgreSQL</h1>
    <p>Cette page permet de mettre à jour les couches Postgre des objets et actions souhaités. Les couches sont accessibles via une connexion QGis par exemple.</p>   


    <form id='formExportPG' method='post' action='#' novalidate>

        {% form_theme form 'bootstrap_3_layout.html.twig' %}
        {{ form_widget(form) }}

        {# <button type="submit" class="btn btn-primary">Générer les couches</button> #}
        {# <button type="submit" class="btn btn-primary">Générer les couches Fast</button> #}

        <button type="submit" class="btn btn-primary" onclick="$('#formExportPG').attr('action', '{{ url('report-pg-layers') }}?old#res');">Générer les couches</button>
        <button type="submit" class="btn btn-primary" onclick="$('#formExportPG').attr('action', '{{ url('report-pg-layers') }}#res');">Générer les couches (nouvelle version accélérée)</button>

    </form>

    {% if res.resTO|default(null) != null %}
        <h2>Résultats</h2>
        <h3>Objets</h3>
        {% for type in res.resTO %}

            Couche <u>{{ type.sysma_object_type|raw }}</u>
            {% if type.create_table_from_sysma_object_type_id %}
                {% if (type.table_generated_but_empty is defined) and type.table_generated_but_empty %}
                {# {% if type.table_generated_but_empty %} #}
                    générée mais vide <span class="badge badge-danger"><span class="glyphicon glyphicon-remove"></span></span><br>
                {% else %}
                    générée <span class="badge badge-success"><span class="glyphicon glyphicon-ok"></span></span><br>
                {% endif %}
            {% else %}
                non générée <span class="badge badge-danger"><span class="glyphicon glyphicon-remove"></span></span><br>
            {% endif %}
        {% endfor %}
    {% endif %}

    {% if res.resTT|default(null) != null %}
        <h3>Travaux</h3>
        {% for type in res.resTT %}
            {% if type.sysma_object_type is defined %}
                Couche <u>{{ type.sysma_object_type|raw }}</u>, action
            {% else %}
                Action
            {% endif %}
            <u>{{ type.sysma_action_type|raw }}</u> 
            {% if type.create_table_from_sysma_action_type_id %}
                {% if (type.table_generated_but_empty is defined) and type.table_generated_but_empty %}
                {# {% if type.table_generated_but_empty %} #}
                    générée mais vide <span class="badge badge-danger"><span class="glyphicon glyphicon-remove"></span></span><br>
                {% else %}
                    générée <span class="badge badge-success"><span class="glyphicon glyphicon-ok"></span></span><br>
                {% endif %}
            {% else %}
                non générée <span class="badge badge-danger"><span class="glyphicon glyphicon-remove"></span></span><br>
            {% endif %}
        {% endfor %}
    {% endif %}
{% endblock %}